Bug 606665 - tests failing because of missing lsb_release
tests failing because of missing lsb_release
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: beah (Show other bugs)
0.5
All Linux
low Severity medium (vote)
: 0.5.59
: ---
Assigned To: Bill Peck
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-22 04:00 EDT by Petr Šplíchal
Modified: 2016-07-11 23:55 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-13 14:39:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Šplíchal 2010-06-22 04:00:57 EDT
Description of problem:

Seems the redhat-lsb package is now missing in the default
install. Tests using this to differentiate their behaviour
depending on the release are now failing. This has changed
recently. Exactly the same test passed a few weeks ago.

Version-Release number of selected component (if applicable):
0.5.44 

Error message:
/usr/share/beakerlib//plugins/rh-internal.sh:
        line 242: lsb_release: command not found

Passing job:
https://beaker.engineering.redhat.com/jobs/1906
https://beaker.engineering.redhat.com/logs/2010/06/1906/3606/31656///TESTOUT.log

Failing job:
https://beaker.engineering.redhat.com/jobs/4403
https://beaker.engineering.redhat.com/logs/2010/03/4403/7705/84751///TESTOUT.log
Comment 1 Bill Peck 2010-06-22 11:21:11 EDT
I added redhat-lsb to the install task.
Comment 2 Marian Csontos 2010-06-23 03:00:02 EDT
BTW, should not that be beakerlib-redhat's dependency?
Comment 3 Petr Muller 2010-06-23 09:26:30 EDT
We will add that dep

Note You need to log in before you can comment on or make changes to this bug.